<?php
/**
 * Created by FFB.
 * Company: Shenzhen Zhixun Information Tec. Nanchang Com.
 * Copyright: ShenzhenZhixun
 * Email: eastbus@126.com
 * User: FFB
 * Date: 2025-03-11 12:09:31
 * 文件不允许修改，自动生成
 */

namespace common\table\bms_alarm;

class JdzBatteryCommand{
    public static function tableName()
    {
        return '{{jdz_battery_command}}';
    }
                
    /**
     * ------------ 字段 command_id 
     * ------------ 表字段注释: 
     */
    public function filterByCommandId($val): self
    {
        $this->filterByColumn("command_id", $val);
        return $this;
    }

    public function setCommandId($val): self
    {
        $this->setAttr("command_id", $val);
        return $this;
    }

    public function getCommandId()
    {
        return $this->command_id ?? null;
    }
    // ---------------------------------------------
                
    /**
     * ------------ 字段 battery_sn 
     * ------------ 表字段注释: 
     */
    public function filterByBatterySn($val): self
    {
        $this->filterByColumn("battery_sn", $val);
        return $this;
    }

    public function setBatterySn($val): self
    {
        $this->setAttr("battery_sn", $val);
        return $this;
    }

    public function getBatterySn()
    {
        return $this->battery_sn ?? null;
    }
    // ---------------------------------------------
                
    /**
     * ------------ 字段 cmd 
     * ------------ 表字段注释: 指令类型
     */
    public function filterByCmd($val): self
    {
        $this->filterByColumn("cmd", $val);
        return $this;
    }

    public function setCmd($val): self
    {
        $this->setAttr("cmd", $val);
        return $this;
    }

    public function getCmd()
    {
        return $this->cmd ?? null;
    }
    // ---------------------------------------------
                
    /**
     * ------------ 字段 status 
     * ------------ 表字段注释: 指令状态 0：成功 1：失败
     */
    public function filterByStatus($val): self
    {
        $this->filterByColumn("status", $val);
        return $this;
    }

    public function setStatus($val): self
    {
        $this->setAttr("status", $val);
        return $this;
    }

    public function getStatus()
    {
        return $this->status ?? null;
    }
    // ---------------------------------------------
                
    /**
     * ------------ 字段 ctime 
     * ------------ 表字段注释: 时间
     */
    public function filterByCtime($val): self
    {
        $this->filterByColumn("ctime", $val);
        return $this;
    }

    public function setCtime($val): self
    {
        $this->setAttr("ctime", $val);
        return $this;
    }

    public function getCtime()
    {
        return $this->ctime ?? null;
    }
    // ---------------------------------------------
                
    /**
     * ------------ 字段 opertor_type 
     * ------------ 表字段注释: 操作者类型: user/group/device/platform
     */
    public function filterByOpertorType($val): self
    {
        $this->filterByColumn("opertor_type", $val);
        return $this;
    }

    public function setOpertorType($val): self
    {
        $this->setAttr("opertor_type", $val);
        return $this;
    }

    public function getOpertorType()
    {
        return $this->opertor_type ?? null;
    }
    // ---------------------------------------------
                
    /**
     * ------------ 字段 opertor_uid 
     * ------------ 表字段注释: 操作者账号
     */
    public function filterByOpertorUid($val): self
    {
        $this->filterByColumn("opertor_uid", $val);
        return $this;
    }

    public function setOpertorUid($val): self
    {
        $this->setAttr("opertor_uid", $val);
        return $this;
    }

    public function getOpertorUid()
    {
        return $this->opertor_uid ?? null;
    }
    // ---------------------------------------------
                
    /**
     * ------------ 字段 desc 
     * ------------ 表字段注释: 简要描述
     */
    public function filterByDesc($val): self
    {
        $this->filterByColumn("desc", $val);
        return $this;
    }

    public function setDesc($val): self
    {
        $this->setAttr("desc", $val);
        return $this;
    }

    public function getDesc()
    {
        return $this->desc ?? null;
    }
    // ---------------------------------------------
    
}
